Skip to main content
GET
/
v2.0
/
communication
/
text
/
{communicationId}
Get a text message by ID
curl --request GET \
  --url https://api.lofty.com/v2.0/communication/text/{communicationId} \
  --header 'Authorization: <authorization>'
{
  "id": 123,
  "leadId": 123,
  "direction": "Outbound",
  "agentId": 123,
  "textOutcome": "Delivered",
  "textTime": "<string>",
  "textType": "Auto",
  "textContent": "Content"
}

Headers

Authorization
string
required

Bearer [access_token]

Path Parameters

communicationId
integer<int64>
required

Communication ID of the text message.

Required range: x >= 1

Response

Text message retrieved successfully.

id
integer<int64>

The ID of the text

leadId
integer<int64>

The lead(Id) associated with the text

direction
string

Outbound or Inbound text

Example:

"Outbound"

agentId
integer<int64>

The related Agent ID

textOutcome
string

Text delivery status

Example:

"Delivered"

textTime
string

The sending time of the text

textType
string

Manual or Auto text

Example:

"Auto"

textContent
string

The content of the text

Example:

"Content"